(define (script-fu-lighten-shadows img drawable)

	; Layer 1
	; Bild laden
	; Duplicate Layer (Modus Overlay)
	; Colors Desaturate
	; Colors Invert
	; Filters->Blur->Gausian Blur (15,15)

	; Layer 2

	; Copy vom Ursprung (Modus Hue)
	; Nach oben schieben

	; Layer 3

	; Copy vom Ursprung (Modus Saturation)
	; Nach oben schieben

	; load an image
	;(set! filename "/home/fuzz/zach+loves+ice+cream.JPG")
	;(set! img0 (car (gimp-file-load RUN-INTERACTIVE filename filename)))
	;(set! window (car (gimp-display-new img0)))
	;(set! layer0 (car (gimp-image-get-active-layer img0)))

	; start undo block
	(gimp-undo-push-group-start img)

	(set! layerbw (car (gimp-layer-copy drawable 1)))

	(gimp-image-add-layer img layerbw -1)
	(gimp-layer-set-mode layerbw 5)

	(gimp-desaturate layerbw)
	(gimp-invert layerbw)

	(plug-in-gauss RUN-NONINTERACTIVE img layerbw 15 15 0)

	;gimp-layer-add-mask
	(set! layerbwmask (car (gimp-layer-create-mask layerbw ADD-COPY-MASK)))
	(gimp-layer-add-mask layerbw layerbwmask)

	; Layer 2

	; See gimp_layer_new for details
	(set! layerhue (car (gimp-layer-copy drawable 0)))
	(gimp-image-add-layer img layerhue -1)
	(gimp-layer-set-mode layerhue 11)

	; Layer 3

	(set! layersaturation (car (gimp-layer-copy drawable 0)))
	(gimp-image-add-layer img layersaturation -1)
	(gimp-layer-set-mode layersaturation 12)

	(gimp-undo-push-group-end img)

	(gimp-displays-flush)
)

(script-fu-register "script-fu-lighten-shadows" 
	_"Lighten up shadows"
	"Lighten up shadows"
	"Erik Wasser"
	"Erik Wasser"
	"2007"
	"RGB*, GRAY*"
	SF-IMAGE "Image" 0
	SF-DRAWABLE "Layer" 0
)

(script-fu-menu-register "script-fu-lighten-shadows"
                         _"<Image>/Script-Fu")
